/*
** mg_buf.h for  in 
** 
** Made by vianney rancurel
** Login   <vianney@epita.fr>
** 
** Started on  Wed Aug 25 12:07:39 1999 vianney rancurel
** Last update Thu Oct 28 20:18:14 1999 
*/
#ifndef MG_BUF_H
#define MG_BUF_H	1

#include "mg.h"

typedef struct		s_buf
{
  char			*buf;
  int			len;
} t_buf;

/* PROTO mg_buf.c */
/* mg_buf.c */
int xdigit_value P((int xdigit));
t_status xdata_to_buf P((char *xdata, char *buf, int *len, int max_len));
t_status buf_to_xdata_str P((char *buf, int len, int br, char *br_str, char *spc_str, char *str, int max_len));
t_status buf_to_printable_str P((char *buf, int len, int br, char *br_str, char *spc_str, char *nonprint_str, t_vec *ascii_vec, char *str, int max_len));
t_status buf_to_cooked_str_i P((int off, unsigned char *b, int l, int br, char *br_str, char *spc_str, char *big_spc_str, char *nonprint_str, t_vec *ascii_vec, char *str, int max_len));
t_status buf_to_cooked_str P((char *buf, int len, int br, char *br_str, char *spc_str, char *big_spc_str, char *nonprint_str, t_vec *ascii_vec, char *str, int max_len));
t_status buf_to_str P((char *buf, int len, char *str, int max_len));
t_status str_to_buf P((char *str, char *buf, int *len, int max_len));
#endif
